$(document).ready(function(){
    
    //loading
    $('#loadingContainer').ajaxStart(function(){
	    $(this).show();
	    $('#loadingbackground').show().css({"opacity": "0.5"});
	}).ajaxStop(function(){
	    $(this).hide();
	});
	
//    setInterval(function(){
//        $('div.sub_container_page').css('top',$(window.parent.frames.right).height()-$('div.sub_container_page').height()); //设置底部分页区域的位置
//        $('div.sub_container_content').css('height',$(window.parent.frames.right).height()-$('div.sub_container_title').height()-$('div.sub_container_operation').height()-$('div.sub_container_listhead').height()-$('div.sub_container_page').height()-10); //设置内容区域的高度
//        if($.browser.mozilla){setList();}
//        $('#frmHeight').val($(window.parent.frames.right).height());//将窗口高度用hidden记录,在iframe中取值
//    },100);
    
    if(getQueryStringRegExp('ProductType').replace('#','') == 'Normal')
    {
        $('#btnOutput').show();
        $('#btnOutputAll').show();
        $('#btnSavePrice').show();
        $('#btnSaveSort').show();
        if(getQueryStringRegExp('CatID') != ''){catID = getQueryStringRegExp('CatID');};
        var search_urldata = 'type=SearchProductsAjax&keyword=' + escape(keyword) + '&CatID=' + catID + '&PageSize='+PageSize+'&Page='+CurrentPage;
        BindProducts('Binding.aspx',search_urldata);//绑定数据
    }
    else
    {
        //回收站
        TempPage = CurrentPage;
        CurrentPage = 1;
        ProductType = -1;
        $('#btnDelete').val('彻底删除');
        $('#txtKeyword').val(keyword_recycle);
        $('#ddlCategory').val(catID_recycle);
        $('#btnOutput').hide();
        $('#btnOutputAll').hide();
        $('#btnReturn').show();
        $('#btnSavePrice').hide();
        $('#btnReuse').show();
        
        BindRecycle('Binding.aspx',search_urldata_recycle);
    }
    
    //--添加绑定商品
    $('#btnAdd').click(function(){
        location.href="BindingAdd.aspx";
    });
    
    //全选
    $('input[@name=chkAll]').click(function(){
        $('input[@name=chkItem]').attr('checked',$(this).attr('checked'));
    });
    
    //批量删除商品
    $('#btnDelete').click(function(){
        var productIDs = '';
        $('input[@name=chkItem][@checked]').each(function(){
            productIDs += $(this).val() + ',';
        });
        if(productIDs != ''){
            productIDs = productIDs.substring(0,productIDs.length-1);
            if(confirm('确定要删除选中的商品吗?'))
            {
                DeleteProduct(productIDs,'deleteRecycle');
            }
//            if(ProductType == 1){
//                if(confirm('确定要删除选中的商品吗?删除后可在回收站里还原.')){
//                    DeleteProduct(productIDs,'toRecycle');
//                }
//            }else{
//                if(confirm('确定要删除选中的商品吗?此操作将会彻底删除商品.')){
//                    DeleteProduct(productIDs,'deleteRecycle');
//                }
//            }
            
        }else{
            alert('请选择要删除的商品');
        }
    });
    
    //批量修改价格
    $('#btnSavePrice').click(function(){
        var urldata = '';
        $('input[@name=chkItem][@checked]').each(function(){
            urldata += $(this).val() + ',' + $('#marketPrice_'+$(this).val()).val() + ',' + $('#memberPrice_'+$(this).val()).val() + '|';
        });
        if(urldata != ''){
            urldata = urldata.substring(0,urldata.length-1);
        }else{
            alert('请选择要修改的商品');
            return false;
        }
        urldata = 'type=UpatePriceAjax&PriceInfo=' + urldata;
        $.ajax({
            url:'Binding.aspx?NoCopyRight=1',
            data:urldata,
            cache:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                if(data>0){alert('修改成功')}
            },
            error:function(){alert('error')}
        });
    });
    
    //修改排序
    $('#btnSaveSort').click(function(){
        var urldata = '';
        $('input[@name=chkItem][@checked]').each(function(){
            urldata += $(this).val() + ',' + $('#sort_' + $(this).val()).val() + '|';
        })
        if(urldata != ''){
            urldata = urldata.substring(0,urldata.length-1)
        }else{
            alert('请选择要修改的商品');
            return false;
        }
        urldata = 'type=UpdateSortAjax&SortInfo=' + urldata;
        $.ajax({
            url:'Binding.aspx?NoCopyRight=1',
            data:urldata,
            cache:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                if(data > 0){
                    if(ProductType == 1){
                        BindProducts('Binding.aspx',search_urldata);
                    }else{
                        BindRecycle('Binding.aspx',search_urldata_recycle);
                    }
                }
            },
            error:function(){alert('error')}
        });
    });
 
    //--导出商品到CSV文件
    $('#btnOutput').click(function(){
        var urldata = '';
        $('input[@name=chkItem][@checked]').each(function(){
            urldata += $(this).val() + ',';
        })
        if(urldata != '')
        {
            return true;
        }
        else
        {
            alert('请选择要导出的商品');
            return false;
        }
    });
    
    //还原选中的商品
    $('#btnReuse').click(function(){
        var urldata = '';
        $('input[@name=chkItem][@checked]').each(function(){
            urldata += $(this).val() + ',';
        })
        if(urldata != ''){
            urldata = urldata.substring(0,urldata.length-1);
        }else{
            alert('请选择要还原的商品');
            return false;
        }
        DeleteProduct(urldata,'reuse');
        alert('提示:还原商品后需要重新设置商品的所属类别');
    });
    //搜索
    $('#btnSearch').click(function(){
        if(ProductType == 1){
            keyword = $('#txtKeyword').val().Trim();
            catID = $('#ddlCategory').val();
            search_urldata = 'type=SearchProductsAjax&keyword=' + escape(keyword) + '&CatID=' + catID + '&PageSize='+PageSize+'&Page='+CurrentPage;
            BindProducts('Binding.aspx',search_urldata);
        }else{
            keyword_recycle = $('#txtKeyword').val().Trim();
            catID_recycle = $('#ddlCategory').val();
            search_urldata_recycle = 'type=SearchProductsAjax&keyword=' + escape(keyword_recycle) + '&CatID=' + catID_recycle + '&PageSize='+PageSize+'&Page='+CurrentPage+'&ProductType=-1';
            BindRecycle('Binding.aspx',search_urldata_recycle);
        }
    });//end click
      
    
});// end ready